---
title: Get Organization Spend Limit
description: Get Organization Spend Limit
product: Platform API
type: reference
prerequisites:
  - /docs/api/platform/quickstart
---

# Get Organization Spend Limit



<EndpointDisplay method="get" path="/organizations/{orgId}/spend-limit" versionPrefix="/v2" />

## Usage [#usage]

<CustomCodeBlock languages="['TypeScript', 'cURL']" defaultLanguage="TypeScript">
  <CodeVariant
    language="TypeScript"
    title="TypeScript Example"
    code="`import { v0 } from 'v0-sdk'

const result = await v0.organizations.getSpendLimit({
  orgId: 'org_pqr901',
})

console.log(result)`"
  />

  <CodeVariant
    language="cURL"
    title="cURL Example"
    code="`curl -X GET &#x22;https://api.v0.dev/api/v2/organizations/chat_abc123/spend-limit&#x22; \
  -H &#x22;Authorization: Bearer $V0_API_KEY&#x22; \
  -H &#x22;Content-Type: application/json&#x22;`"
  />
</CustomCodeBlock>

## API Signature [#api-signature]

### Request [#request]

#### Path Parameters [#path-parameters]

<APISignature
  parameters="[
  {
    &#x22;name&#x22;: &#x22;orgId&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;The unique identifier of the organization.&#x22;,
    &#x22;deprecated&#x22;: false
  }
]"
/>

### Response [#response]

<APISignature
  parameters="[
  {
    &#x22;name&#x22;: &#x22;entityId&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;The team ID or organization ID this limit applies to.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;limit&#x22;,
    &#x22;type&#x22;: &#x22;integer&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;The spend limit in dollars.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;source&#x22;,
    &#x22;type&#x22;: &#x22;'team' | 'organization'&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;Whether this limit is set at the team or organization level.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;createdAt&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;ISO timestamp of when the spend limit was created.&#x22;,
    &#x22;deprecated&#x22;: false
  },
  {
    &#x22;name&#x22;: &#x22;updatedAt&#x22;,
    &#x22;type&#x22;: &#x22;string&#x22;,
    &#x22;required&#x22;: true,
    &#x22;description&#x22;: &#x22;ISO timestamp of when the spend limit was last updated.&#x22;,
    &#x22;deprecated&#x22;: false
  }
]"
/>
